View Issue Details

IDProjectCategoryView StatusLast Update
0004495Kali Linux[All Projects] Kali Package Bugpublic2018-10-30 11:26
ReporterbatterystaplesAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0004495: Some functions of enum4linux are incompatible with recent versions of smbclient
Descriptionenum4linux fails to produce some information when using recent versions of smbclient:
https://github.com/portcullislabs/enum4linux/issues/5

The functionality appears to have been removed with this samba commit:
https://github.com/samba-team/samba/commit/5a794ece3d2c5b8dbb5d6e71ad25784a370230d4

I can confirm that when I use smbclient 2.6.7, these errors are resolved.

To solve this problem:
-It may be possible to try to "undo" the above commit, as a local patch to Kali's smbclient.
-Or, an old version of smbclient could be packaged as a dependency of enum4linux.

There is also an issue with the "enumdomusers" function, which is not fixed by using smbclient 2.6.7. The command which enum4linux tries to execute is:
$ rpcclient -W TOPHAT -c enumdomusers -U''\%'' 10.11.1.115
which returns no results.
It is possible that this would be fixed by using an older version of rpcclient, but I have not tested this.

Relationships

related to 0004103 closed smbclient and enum4linux didnt show the smb version 
related to 0004687 closed Smbclient does not print smb version 

Activities

brianreich

brianreich

2018-04-05 04:07

reporter   ~0008995

I'd just like to confirm that this problem is still present in both the base Kali 2018.1 release as well as Kali 2018.1 with all updates up till today, April 5 2018. I'm currently using a second install of Kali, 2017.2 no updates, to perform my enum4linux sweeps as the problem isn't present in that build.
boomshankerx

boomshankerx

2018-06-05 02:33

reporter   ~0009204

I can confirm this issue still exists
Kali 2018.2
enum4linux v0.8.9
Linux vkali 4.15.0-kali3-amd64 0000001 SMP Debian 4.15.17-1kali1 (2018-04-25) x86_64 GNU/Linux
g0tmi1k

g0tmi1k

2018-10-10 20:27

administrator   ~0009806

Some people have reported the following helps:

```
Add the following to /etc/samba/smb.conf in the [global] section
client min protocol = SMB2
client max protocol = SMB3

service smbd restart
```

Source: https://forums.offensive-security.com/showthread.php?17949-SMB-enumeration-tools-and-how-to-fix-enum4linux

Issue History

Date Modified Username Field Change
2018-01-24 04:35 batterystaples New Issue
2018-01-25 10:30 g0tmi1k Relationship added related to 0004103
2018-01-25 10:30 g0tmi1k Severity major => minor
2018-04-05 04:07 brianreich Note Added: 0008995
2018-04-10 11:37 g0tmi1k Relationship added related to 0004687
2018-06-05 02:33 boomshankerx Note Added: 0009204
2018-10-10 20:27 g0tmi1k Note Added: 0009806
2018-10-30 11:26 g0tmi1k Status new => confirmed
2018-10-30 11:26 g0tmi1k Product Version 2017.3 =>